Ubuntu

pidgin-libnotify not enabled and wont allow for enabling

Reported by zeruke on 2011-08-16
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
pidgin-libnotify (Ubuntu)
High
Unassigned

Bug Description

after a set of updates pidgin stopped showing the notification bubbles and after looking through the plug-ins pidgin-libnotify is grayed out with this message in red "Error: undefined symbol: indicate_indicator_set_property_icon
Check the plugin website for an update." and of course theres no new versions of it

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: pidgin-libnotify 0.14-4ubuntu8
ProcVersionSignature: Ubuntu 3.0.0-8.11-generic 3.0.1
Uname: Linux 3.0.0-8-generic x86_64
NonfreeKernelModules: nvidia wl
Architecture: amd64
Date: Tue Aug 16 15:13:42 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110808)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: pidgin-libnotify
UpgradeStatus: No upgrade log present (probably fresh install)

zeruke (oninekoze) wrote :
Sam_ (and-sam) on 2011-08-16
summary: - pifgin-libnotify not enabled and wont allow for enabling
+ pidgin-libnotify not enabled and wont allow for enabling
Changed in pidgin-libnotify (Ubuntu):
status: New → Confirmed
zeruke (oninekoze) wrote :

i have found a custom pidgin-libnotify that tries to use the unity launchers to display the amount of missed messages(usually adds a few extra then whats there) and works for the usual stuff too at https://launchpad.net/~jfi/+archive/pidgin/+packages which is for natty but does work with Oneiric so maybe patch it a bit to work with the unity launcher better and put it in the main repository or something

Felix Geyer (debfx) wrote :

pidgin-libnotify uses the function indicate_indicator_set_property_icon() which has been renamed:
> pidgin-libnotify.c: In function 'indicate_chat_nick':
> pidgin-libnotify.c:896:3: warning: implicit declaration of function 'indicate_indicator_set_property_icon' [-Wimplicit-function-declaration]

Attaching a debdiff to fix this:

pidgin-libnotify (0.14-4ubuntu9) oneiric; urgency=low

  * Port to libindicate 0.6 API: replace indicate_indicator_set_property_icon()
    with indicate_gtk_indicator_set_property_icon().
    (LP: #827626)

 -- Felix Geyer <email address hidden> Mon, 22 Aug 2011 18:36:29 +0200

Changed in pidgin-libnotify (Ubuntu):
status: Confirmed → Triaged
Sebastien Bacher (seb128) wrote :

thank you for your work

Changed in pidgin-libnotify (Ubuntu):
status: Triaged → Fix Committed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin-libnotify - 0.14-4ubuntu9

---------------
pidgin-libnotify (0.14-4ubuntu9) oneiric; urgency=low

  * Clean debian source v3 autogenerated diff and include those in
    indicate.patch since that's the patch they were updating
  * debian/control, debian/rules: use dh-autoreconf rather than
    shipping the autoconf in a diff.

  [ Felix Geyer ]
  * indicate.patch: replace indicate_indicator_set_property_icon()
    with indicate_gtk_indicator_set_property_icon(). (LP: #827626)
 -- Sebastien Bacher <email address hidden> Fri, 26 Aug 2011 15:24:08 +0200

Changed in pidgin-libnotify (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers